local chatcommand_cmd = "announcement_list_all"
local chatcommand_definition = {
    params = "", -- Short parameter description
    description = "Lists all announcements to you.", -- Full description
    privs = {
        [yl_announcements.settings.admin_priv] = true
    },
    func = function(name, param)
        local success, message = yl_announcements.chatcommand_announcement_list_all(name, param)

        if success then
            minetest.log("action", "[yl_announcements] player " .. name .. " lists all announcements: " .. param)
            return true, message
        else
            minetest.log("warning",
                "[yl_announcements] player " .. name .. " lists all announcements: " .. param ..
                    " unsuccessfully, message: " .. message)
            return false, message
        end
    end
}

minetest.register_chatcommand(chatcommand_cmd, chatcommand_definition)
